Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

Get the covenant file (signed agreement)

GET
/v1/tenant/{tenantKey}/agreement/{agreementKey}/covenant
curl --request GET \
--url https://sender.api.kivra.com/v1/tenant/example/agreement/example/covenant \
--header 'Authorization: Bearer <token>'

Get the covenant file (the signed version of the agreement).

  • oAuth2Client
    post:kivra.v1.tenant.{tenantKey}.agreement.{agreementKey}.covenant
tenantKey
required
string format: hexadecimal

The unique Key for a Tenant

agreementKey
required
string format: hexadecimal

The unique Key for an Agreement

The covenant file as a PDF file with base64 encoding

Media typeapplication/json
object
name

The name of the file

string
data

The covenant file as a PDF file with base64 encoding

string format: base64
sha256

The signature to verify the file’s authenticity

string
Example
{
"name": "agreement7456_completed.pdf",
"data": "REVBREJFRUY="
}